var five = require("johnny-five");
exports.helloWorld = {
    hola:function (name) {
        console.log('Hola '+name);
    },
    init:function () {
        var board = new five.Board();

        board.on("ready", function() {

            var led = new five.Led.RGB({
                pins: {
                    red: 9,
                    green: 10,
                    blue: 11
                }
            });

            led.on();
            led.color({red: 0, blue: 0, green: 0});

            board.info("Vergento","Esto se imprime en consola cuando se conecta el arduino",{id:1});
            board.info("otro","otro evento",{id:1});

            var pubnub = require('pubnub')
            pubnub.init({
                publish_key: 'pub-c-0b43969b-341d-41f5-a85e-0bd9d30404b8',
                subscribe_key: 'sub-c-cb24903e-c9f4-11e5-b684-02ee2ddab7fe'
            });

            var channel = 'hue-clone';

            pubnub.subscribe({
                channel: channel,
                callback: setLedColor,
                connect: initLedColor,
                error: function(err) {console.log(err);}
            });

            function setLedColor(m) {
                led.color({red: m.r, blue: m.b, green: m.g});
                console.log( 'color change to...' );
                console.log( led.color() );
            }

            function initLedColor() {
                pubnub.history({
                    channel: channel,
                    count: 1,
                    callback: function(messages) {
                        messages[0].forEach(function(m) {
                            setLedColor(m);
                        });
                    }
                });
            }

        });

        board.on("info",function (evento) {
            if(evento.class=="Vergento"){
                console.log("vales verga y llego esto",evento.message);
            }else{
                console.log("No vales verga")
            }
        })

    }
};